<?php
/*
Plugin Name: iWorks wp-login.php renamer
Plugin URI: http://upprev.com/
Description: raname wp-login.php o other name
Version: 0.1
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/


/**
 * IMPORTANT!
 *
 * rename wp-login.php file to ${login_prefix}wp-login.php!!!
 */


class iWorks_WP_Login_Redirect
{
    private $login_prefix = 'vuushiep-';

    public function __construct()
    {
        add_filter( 'site_url', array( &$this, 'site_url' ), 10, 2 );
        add_filter( 'wp_redirect', array( &$this, 'wp_redirect' ), 10, 2 );
    }

    public function site_url( $url, $file )
    {
        if ( 'wp-login.php' == $file ) {
            return preg_replace( '/wp-login/', $this->login_prefix.'wp-login', $url );
        }
        return $url;
    }

    public function wp_redirect( $location, $status )
    {
        if ( 'wp-login.php?loggedout=true' == $location ) {
            return preg_replace( '/wp-login/', $this->login_prefix.'wp-login', $location );
        }
        return $location;
    }
}

new iWorks_WP_Login_Redirect();

